JS_OF_OCAML-BUILD-FS(1)

NAME

js_of_ocaml-build-fs - Js_of_ocaml pseudo filesystem utility

SYNOPSIS

js_of_ocaml build-fs [-I DIR] [-o FILE] [OPTION]… [FILES]…

DESCRIPTION

jsoo_fs is a tool for embeding files in a Js_of_ocaml pseudo filesystem.

ARGUMENTS

FILES
    Embed [FILES] in the js_of_ocaml pseudo filesystem.

OPTIONS

-I DIR
    Add [DIR] to the list of include directories.

-o FILE (required)
    Set output file name to [FILE].

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

js_of_ocaml build-fs exits with:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).

BUGS

Bugs are tracked on github at https://github.com/ocsigen/js_of_ocaml/issues.

SEE ALSO

ocaml(1)

js_of_ocaml(1)

AUTHORS

Jerome Vouillon, Hugo Heuzard.

LICENSE

Copyright (C) 2010-2020.

js_of_ocaml is free software, you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, with linking exception; either version 2.1 of the License, or (at your option) any later version.